TODO:

-X/-Y filelength larger than 255?

post 1.0
- extend format to include mtime - so that it can be
  set on the remote files
- rdup internal filelist is fast becoming identical to its
  output. So any special reading of this list can go
  and we can just use stuff for entry.c
  extending this list also has other interesting applications
DONE - with libnettle we have sha1 there too, so sha1.c can go
- remove a lot of parsing code - entry.c rdup.c have some
  in common - check this. Less code -> less maintenance
- i18n - it's ALL C now - so much more easy, than the 
  C/Perl/sh kludge we had
- use libarchive to make zip and/or iso 9660 files? why not?
  if the impact is low...
- make rdup-tr grok rdup -c input
- more robust write() in rdup-tr
  input.
- fix -0 input everywhere

:general:
- paths in rdup-simple.sh for rdup-ln.sh
- add extended attributes? man 5 tar explains how to do it, but it
  is A LOT of work AND it is not portable over unixes...?

:rdup-tr:
- opt_null ala rdup

:rdup-up:
- opt_null

:WONTFIX:
- -a or --atime-preserve in rdup (when used with -c) and
  also in rdup-tr, if you change the atime and mtime
  you modify the ctime ---
- -m for fs-up, can't be done - I don't store the time in 
  the archive format...
- -a and -m exactly as in cpio - same semantics
